Subject: bug#38035: 27.0.50; Trivial errors in process filters can render Emacs unusable

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2019 08:24:01 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 08 Nov 2019 21:54:57 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> But we don't do this with errors that happen in other circumstances --
> >> just the filter errors, I think?
> >
> > Because reception of process output is not necessarily a frequent
> > event, so we want to be sure the user had enough time to see the
> > message.
> 
> But why filters in particular?  As I said, we don't do this with any
> other errors, including run-at-time (which is usually not a frequent
> thing at all).

Maybe we should do the same with timer functions, indeed.

> I'm not pissed off?  :-)

Sorry.

> I just think that Emacs should behave consistently.

If doing the same with timers will contribute to that consistency, I
don't object.  I just think that we shouldn't remove an old feature
because of a single accident that should be quite rare.